searchData={"items":[{"type":"module","title":"XLSXComposer","doc":"Documentation for `XLSXComposer`.","ref":"XLSXComposer.html"},{"type":"function","title":"XLSXComposer.example/0","doc":"Example 1.","ref":"XLSXComposer.html#example/0"},{"type":"function","title":"Examples - XLSXComposer.example/0","doc":"iex> alias XLSXComposer.{CellDef, ExcelCoords, Section, SectionCoords}\n  iex> _section_1 =\n  iex>   Section.build(%{\n  iex>     name: \"section_1\",\n  iex>     top_left: ExcelCoords.build({2, 2}),\n  iex>     cells: %{\n  iex>       SectionCoords.build(0, 0) =>\n  iex>         CellDef.build(%{\n  iex>           content: \"Name\",\n  iex>           bold: true\n  iex>         }),\n  iex>       SectionCoords.build(2, 0) =>\n  iex>         CellDef.build(%{\n  iex>           content: \"Summary Required?\",\n  iex>           bold: true\n  iex>         }),\n  iex>       SectionCoords.build(4, 0) =>\n  iex>         CellDef.build(%{\n  iex>           content: \"Calls\",\n  iex>           bold: true\n  iex>         }),\n  iex>       SectionCoords.build(5, 0) =>\n  iex>         CellDef.build(%{\n  iex>           content: \"Sales\",\n  iex>           bold: true\n  iex>         })\n  iex>     }\n  iex>   })\n  iex> _section_2 =\n  iex>   Section.build(%{\n  iex>     name: \"section_2\",\n  iex>     top_left: ExcelCoords.build({2, 4}),\n  iex>     cells: %{\n  iex>       # Row 0\n  iex>       SectionCoords.build(0, 0) => CellDef.build(%{\n  iex>         content: 1.1111,\n  iex>         num_format: \"0.00\"\n  iex>       }),\n  iex>       SectionCoords.build(1, 0) => CellDef.build(%{\n  iex>         content: 1.1111,\n  iex>         num_format: \"0.00\"\n  iex>       }),\n  iex>       SectionCoords.build(4, 0) =>\n  iex>       CellDef.build(%{\n  iex>         content: \"Summary Required?\",\n  iex>         bold: true\n  iex>       }),\n  iex>       # Row 1\n  iex>       SectionCoords.build(2, 1) =>\n  iex>       CellDef.build(%{\n  iex>         content: \"Something Else\",\n  iex>         bold: false\n  iex>       }),\n  iex>       # Row 2\n  iex>       SectionCoords.build(0, 2) =>\n  iex>       CellDef.build(%{\n  iex>         content: 2.3,\n  iex>         num_format: \"0.0000\"\n  iex>       }),\n  iex>       SectionCoords.build(1, 2) =>       CellDef.build(%{\n  iex>         content: 2.99,\n  iex>         num_format: \"0.0000\"\n  iex>       }),\n  iex>       SectionCoords.build(5, 2) => CellDef.build(%{\n  iex>         content: \"Summary Required?\",\n  iex>         bold: true\n  iex>       }),\n  iex>       # Row 3\n  iex>       SectionCoords.build(2, 3) => CellDef.build(%{\n  iex>         content: \"Something Else\",\n  iex>         bold: false\n  iex>       }),\n  iex>       SectionCoords.build(4, 3) =>\n  iex>       CellDef.build(%{\n  iex>         content: \"I don't know what to put here\",\n  iex>         bold: false\n  iex>       }),\n  iex>       # Row 4\n  iex>       SectionCoords.build(0, 4) =>\n  iex>       CellDef.build(%{\n  iex>         content: -1.1111,\n  iex>         num_format: \"0.0\"\n  iex>       }),\n  iex>       SectionCoords.build(1, 4) => CellDef.build(%{\n  iex>         content: -1.1111,\n  iex>         num_format: \"0.000\"\n  iex>       }),\n  iex>     }\n  iex>   })","ref":"XLSXComposer.html#example/0-examples"},{"type":"module","title":"XLSXComposer.CellDef","doc":"Elixir.XLSXComposer.CellDef showcases all supported options as a struct that is later folded into representation required by Elixlsx.\n\n`:configuration` is a map of settings you might want to use to tag elements and later on, globally collect and apply an additional style if required.","ref":"XLSXComposer.CellDef.html"},{"type":"type","title":"XLSXComposer.CellDef.border_style/0","doc":"","ref":"XLSXComposer.CellDef.html#t:border_style/0"},{"type":"function","title":"XLSXComposer.CellDef.build/1","doc":"","ref":"XLSXComposer.CellDef.html#build/1"},{"type":"type","title":"XLSXComposer.CellDef.content/0","doc":"","ref":"XLSXComposer.CellDef.html#t:content/0"},{"type":"function","title":"XLSXComposer.CellDef.displace/2","doc":"","ref":"XLSXComposer.CellDef.html#displace/2"},{"type":"type","title":"XLSXComposer.CellDef.elixlsx_definition/0","doc":"","ref":"XLSXComposer.CellDef.html#t:elixlsx_definition/0"},{"type":"type","title":"XLSXComposer.CellDef.excel_cells/0","doc":"","ref":"XLSXComposer.CellDef.html#t:excel_cells/0"},{"type":"function","title":"XLSXComposer.CellDef.match_configuration?/3","doc":"","ref":"XLSXComposer.CellDef.html#match_configuration?/3"},{"type":"type","title":"XLSXComposer.CellDef.section_cells/0","doc":"","ref":"XLSXComposer.CellDef.html#t:section_cells/0"},{"type":"function","title":"XLSXComposer.CellDef.set_configuration/3","doc":"","ref":"XLSXComposer.CellDef.html#set_configuration/3"},{"type":"function","title":"XLSXComposer.CellDef.set_content/2","doc":"","ref":"XLSXComposer.CellDef.html#set_content/2"},{"type":"function","title":"XLSXComposer.CellDef.set_style_option/2","doc":"","ref":"XLSXComposer.CellDef.html#set_style_option/2"},{"type":"type","title":"XLSXComposer.CellDef.style_options/0","doc":"","ref":"XLSXComposer.CellDef.html#t:style_options/0"},{"type":"type","title":"XLSXComposer.CellDef.t/0","doc":"","ref":"XLSXComposer.CellDef.html#t:t/0"},{"type":"function","title":"XLSXComposer.CellDef.to_elixlsx_cell_def/1","doc":"","ref":"XLSXComposer.CellDef.html#to_elixlsx_cell_def/1"},{"type":"module","title":"XLSXComposer.ExcelCoords","doc":"Elixir.XLSXComposer.ExcelCoords represent excel coords where the x denotes the column (represented as integer, A = 1) and y denotes the row.\n\nBoth values start from 1 (to mimic the Excel notation and interchangeability)!","ref":"XLSXComposer.ExcelCoords.html"},{"type":"type","title":"XLSXComposer.ExcelCoords.area_t/0","doc":"","ref":"XLSXComposer.ExcelCoords.html#t:area_t/0"},{"type":"function","title":"XLSXComposer.ExcelCoords.build/1","doc":"","ref":"XLSXComposer.ExcelCoords.html#build/1"},{"type":"function","title":"XLSXComposer.ExcelCoords.build/2","doc":"","ref":"XLSXComposer.ExcelCoords.html#build/2"},{"type":"function","title":"XLSXComposer.ExcelCoords.column/1","doc":"","ref":"XLSXComposer.ExcelCoords.html#column/1"},{"type":"function","title":"XLSXComposer.ExcelCoords.displace/2","doc":"","ref":"XLSXComposer.ExcelCoords.html#displace/2"},{"type":"type","title":"XLSXComposer.ExcelCoords.t/0","doc":"","ref":"XLSXComposer.ExcelCoords.html#t:t/0"},{"type":"function","title":"XLSXComposer.ExcelCoords.to_pretty/1","doc":"","ref":"XLSXComposer.ExcelCoords.html#to_pretty/1"},{"type":"function","title":"XLSXComposer.ExcelCoords.to_pretty/2","doc":"","ref":"XLSXComposer.ExcelCoords.html#to_pretty/2"},{"type":"type","title":"XLSXComposer.ExcelCoords.x/0","doc":"","ref":"XLSXComposer.ExcelCoords.html#t:x/0"},{"type":"type","title":"XLSXComposer.ExcelCoords.y/0","doc":"","ref":"XLSXComposer.ExcelCoords.html#t:y/0"},{"type":"module","title":"XLSXComposer.Section","doc":"Elixir.XLSXComposer.Section allows to group cells into units that we can reason and test on that level.\n\nWARNING! : Build limited number of Sections otherwise the process of the checks might hurt your performance!\nSoon, implementation of checking of Sections overlap will have to be done so use Section carefully.","ref":"XLSXComposer.Section.html"},{"type":"type","title":"XLSXComposer.Section.area_t/0","doc":"","ref":"XLSXComposer.Section.html#t:area_t/0"},{"type":"function","title":"XLSXComposer.Section.build/1","doc":"","ref":"XLSXComposer.Section.html#build/1"},{"type":"type","title":"XLSXComposer.Section.name_t/0","doc":"","ref":"XLSXComposer.Section.html#t:name_t/0"},{"type":"function","title":"XLSXComposer.Section.overlap?/2","doc":"","ref":"XLSXComposer.Section.html#overlap?/2"},{"type":"type","title":"XLSXComposer.Section.t/0","doc":"","ref":"XLSXComposer.Section.html#t:t/0"},{"type":"function","title":"XLSXComposer.Section.to_excel_cells/1","doc":"","ref":"XLSXComposer.Section.html#to_excel_cells/1"},{"type":"module","title":"XLSXComposer.SectionCoords","doc":"Elixir.XLSXComposer.SectionCoords represents location of the cell in a given section.\n\nThis approach allows use to move a group of cells at ones.\nFurthermore, this approach allows for an easier understanding of the structure of the document while being performant.","ref":"XLSXComposer.SectionCoords.html"},{"type":"function","title":"XLSXComposer.SectionCoords.build/1","doc":"","ref":"XLSXComposer.SectionCoords.html#build/1"},{"type":"function","title":"XLSXComposer.SectionCoords.build/2","doc":"","ref":"XLSXComposer.SectionCoords.html#build/2"},{"type":"type","title":"XLSXComposer.SectionCoords.t/0","doc":"","ref":"XLSXComposer.SectionCoords.html#t:t/0"},{"type":"type","title":"XLSXComposer.SectionCoords.x/0","doc":"","ref":"XLSXComposer.SectionCoords.html#t:x/0"},{"type":"type","title":"XLSXComposer.SectionCoords.y/0","doc":"","ref":"XLSXComposer.SectionCoords.html#t:y/0"},{"type":"module","title":"XLSXComposer.Sheet","doc":"Elixir.XLSXComposer.Sheet corresponds to Elixls's Sheet and translates into that if you want to do additional stuff or if you have to work around limitations of this library.","ref":"XLSXComposer.Sheet.html"},{"type":"function","title":"XLSXComposer.Sheet.build/1","doc":"","ref":"XLSXComposer.Sheet.html#build/1"},{"type":"type","title":"XLSXComposer.Sheet.excel_cell_by_row_idx/0","doc":"","ref":"XLSXComposer.Sheet.html#t:excel_cell_by_row_idx/0"},{"type":"function","title":"XLSXComposer.Sheet.excel_rows_max_column/1","doc":"","ref":"XLSXComposer.Sheet.html#excel_rows_max_column/1"},{"type":"function","title":"XLSXComposer.Sheet.generate_empty_row/1","doc":"","ref":"XLSXComposer.Sheet.html#generate_empty_row/1"},{"type":"function","title":"XLSXComposer.Sheet.group_excel_cell_by_row_idx/1","doc":"","ref":"XLSXComposer.Sheet.html#group_excel_cell_by_row_idx/1"},{"type":"type","title":"XLSXComposer.Sheet.t/0","doc":"","ref":"XLSXComposer.Sheet.html#t:t/0"},{"type":"function","title":"XLSXComposer.Sheet.to_elixlsx_rows/1","doc":"","ref":"XLSXComposer.Sheet.html#to_elixlsx_rows/1"},{"type":"function","title":"XLSXComposer.Sheet.to_elixlsx_sheet/1","doc":"","ref":"XLSXComposer.Sheet.html#to_elixlsx_sheet/1"},{"type":"function","title":"XLSXComposer.Sheet.validate/1","doc":"","ref":"XLSXComposer.Sheet.html#validate/1"},{"type":"module","title":"XLSXComposer.Sheet.Error","doc":"Elixir.XLSXComposer.Sheet.Error represents errors (not yet implemented).","ref":"XLSXComposer.Sheet.Error.html"},{"type":"function","title":"XLSXComposer.Sheet.Error.report_overlap/2","doc":"","ref":"XLSXComposer.Sheet.Error.html#report_overlap/2"},{"type":"type","title":"XLSXComposer.Sheet.Error.t/0","doc":"","ref":"XLSXComposer.Sheet.Error.html#t:t/0"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}